#include "assert.h"
#include "JString.h"

int main(int, char**)
{
  Java::String hello("hello");
  Java::String world("world");

  assert(hello == "hello");
  assert(world == "world");
  assert(hello != world);

  Java::String empty1;
  Java::String empty2;
  assert(empty1 == "");
  assert(empty2 == "");
  assert(empty1 == empty2);

  {
    Java::String hello_world(hello + " " + world);
    assert(hello_world == "hello world");
  }


  {
    Java::String hello_world;
    hello_world = hello + " " + world;
    assert(hello_world == "hello world");

    assert(hello_world.equalsIgnoreCase("HELLO WORLD"));
    assert(hello_world.equalsIgnoreCase("hello world"));
    assert(hello_world.equalsIgnoreCase(hello_world));
  }


  return 0;
}
